Package org.eclipse.ecf.core.util

## Interface IContainerFilter

All Known Implementing Classes:
  `AdapterContainerFilter`, `ConnectedContainerFilter`

    public interface IContainerFilter

Container filter contract. Classes implementing this interface will define specific rules for whether or not a the given container matches some set of criteria...e.g. whether the container is currently connected or not.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `match​(IContainer containerToMatch)` Match a given containerToMatch against some set of implementation-defined criteria.

### Method Detail

#### match

    boolean match​(IContainer containerToMatch)

Match a given containerToMatch against some set of implementation-defined criteria.

Parameters:
  `containerToMatch` - the containerToMatch. Will not be `null`.
Returns:
  boolean true if the given containerToMatch fulfills some implementation-dependent criteria. false if not.